#### Other web actions

Except for Filter, Sort, and Parameter, all the other web actions haven't a web action builder. These web actions can be applied directly or with some parameter values.

The table below explains the usages of these web actions:

Web Action | Parameter | Description
--- | --- | ---
user_showUserPanel | - | Shows the User Information bar.
user_showTOC | - | Shows the TOC Browser.
user_showDHTMLView | - | Shows the Resource View panel.
user_showToolbox | - | Shows the Toolbox.
user_showHelp |  | Shows the help about a specific dialog, or shows the index page of the JReport Web help documentation if null.
| helpId | ID of the specific JReport Web dialog help file. Data type: Five-digit integer starting with 4, for example, 40034.
user_showSearchDialog | - | Shows the Search dialog.
user_showSortDialog | - | Shows the Sort dialog.
user_showFilterDialog | - | Shows the Filter dialog.
user_showNewRptDialog | - | Shows the New Report dialog.
user_showOpenRptDialog | - | Shows the Open Report dialog.
user_showSaveAsDialog | - | Shows the Save As dialog.
user_showSaveResultDialog | - | Shows the Save Result dialog.
user_showPageSetupDialog | - | Shows the Page Properties dialog.
user_showPrintDialog | - | Shows the Printable Version dialog.
user_nextPage | - | Turns to the next page.
user_prevPage | - | Turns to the previous page.
user_firstPage | - | Turns to the first page.
user_lastPage | - | Turns to the last page.
user_zoomTo |  | Zooms the report in or out to a specific magnification.
| zoomSize | The magnification ratio in percent. It should be an integer between 0 and 400.
user_changeStyleTo |  | Changes the report style.
| styleName | Specifies the name of a CSS or XSD style , for example, CSS style name: Classic, XSD style name: Classic*.
user_saveRpt | - | Saves the report set.
user_closeRpt | - | Closes the report.
user_closeReportSet | - | Closes the report set.
user_exit | - | Closes the report set.
user_deleteRpt | - | Deletes the report.
user_renameRpt | - | Shows the Rename Report dialog.
user_refresh | - | Refreshes the report.
user_reset |  | Resets the report.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
user_undo | - | Undoes an action.
user_redo | - | Redoes an action.
user_crosstabToChart |  | Shows the To Chart dialog for converting a crosstab to a chart.
| instanceName | Specifies the instance name of the crosstab. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
user_chartToCrosstab |  | Shows the To Crosstab dialog for converting a chart to a crosstab.
| instanceName | Specifies the instance name of the chart. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
user_rotateCrosstab |  | Rotates a crosstab.
| instanceName | Specifies the instance name of the crosstab. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
user_drillTo |  | Drills to a specific dimension on a component.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
| columnBLName | Specifies the qualified name of the dimension based on business cube. Data type: Sting Value Format: BusinessCubeTreeRootNode.ParentNode.CubeElementName There can be no parent node or 1 or more levels of parent nodes.
user_changeCompProperty |  | Changes a specific property of a component.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
| propertyName | Specifies the property name.
| value | Specifies the property value.
| isBy | Specifies whether the property value is a formula or real value. Data type: Boolean
user_openNewReport |  | Opens a report set.
| catalog | Specifies the catalog of the report set. Data type: String Value: You should use the catalog file path in the server resource tree. /USERFOLDERFATH/admin/ stands for the My Reports folder, and / stands for the Public Reports folder.
| rptName | Specifies the report set name. Data type: String Value: You should use the report set file path in the server resource tree. /USERFOLDERFATH/admin/ stands for the My Reports folder, and / stands for the Public Reports folder.
| newWindow | Specifies whether or not to open a new browser window for the report set. Data type: Boolean
| params | Specifies parameter names and values for opening the report set. Data type: 2-dimensional string array Value Format: [[[name1],[value1]],[[name2],[value2]],...]
user_sort |  | Sorts the data in a component on a specific field.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
| columnMappingName | Specifies the DBField name based on query. Data type: String Value Format: &DisplayName
| order | Specifies the sorting order. Data type: Boolean Value: true for ascending, and false for descending.
user_oneStepSort |  | Sorts the data in a component on multiple fields.
| columnMappingNames | Specifies the DBField names based on query. Data type: String array Value Format: [MappingName1,MappingName2,MappingName3,...]
| orders | Specifies the sorting orders. Data type: Boolean array Value Format: For example: [true,false,false,...] (true for ascending, false for descending).
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
user_filter |  | Filters the data in a component on a field.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
| columnMappingName | Specifies the DBField name based on query. Data type: String Value Format: &DisplayName
| operator | Specifies the operator for the filter criterion. Data type: String =: "eq" >: "gt" >=: "geq" <: "lt" <=: "leq" !=: "neq" IN: "in" NOT IN: "notin" LIKE: "like" NOT LIKE: "notlike" BETWEEN:"between" NOT BETWEEN:"notbetween" IS NULL:"isnull" IS NOT NULL:"isnotnull"
| value | Specifies the operand. Data type: String
user_oneStepFilter |  | Filters the data in a component on multiple fields.
| columnMappingNames | Specifies the DBField names based on query. Data type: String array Value Format: [MappingName1,MappingName2,MappingName3,...]
| operators | Specifies the operators for the filter criteria. Data type: String array Available values are the same as those for operator of user_filter.
| values | Specifies the operands. Data type: String array
| logics | Specifies the logic relationships between two neighboring filter criterions. The logic can be "AND" or "OR". Data type: String array
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
user_topN |  | Shows records with the field value equal to one of the top N field values in a component.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
| columnMappingName | Specifies the DBField name based on query. Data type: String Value Format: &DisplayName
| value | Specifies the value for N. Data type: Integer (positive)
user_bottomN |  | Shows records with the field value equal to one of the last N field values in a component.
| instanceName | Specifies the instance name of the component. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
| columnMappingName | Specifies the DBField name based on query. Data type: String Value Format: &DisplayName
| value | Specifies the value for N. Data type: Integer (positive)
user_oneStepSearch |  | Locates a string in the report.
| value | Specifies the string to find. Data type: Sting
| isContent | Specifies whether to search the whole report content or a specified field. Data type: Boolean
| columnMappingName | Specifies the DBField name based on query. Data type: String Value Format: &DisplayName
| isUp | Specifies whether or not to search from the bottom to the top. Data type: Boolean
| isMatchCase | Specifies whether or not to match case when searching. Data type: Boolean
| isWordOnly | Specifies whether or not to match whole word. Data type: Boolean
user_oneStepExport |  | Exports report result to a format.
| type | Represents the format. Data type: Integer Value: 0 for HTML; 2 for PDF; 3 for Postscript; 4 for RTF; 5 for TEXT; 6 for Excel; and 7 for XML.
| optionValues | Specifies the export options and their values. Data type: String array
user_downloadReport |  | Downloads report result in a format. Its usage is similar to user_oneStepExport.
| type | Represents the format. Data type: Integer Value: 0 for HTML; 2 for PDF; 3 for Postscript; 4 for RTF; 5 for TEXT; 6 for Excel; and 7 for XML.
| optionValues | Specifies the downloading options. Data type: String array
user_groupFlex |  | Expands or collapses a specific group.
| groupControlObj | Specifies the group to be expanded or collapsed. Data type: HTML object. You can use "this" to represent the current group.
user_changeGenericChartType |  | Changes single chart type.
| instanceName | Specifies the instance name of the chart. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: Sting Value Format: &DisplayName
| isPrimaryAxis | Specifies whether the axis displaying the type is the primary axis or not. Data type: Boolean
| type | Specifies the chart type to change the original type to. Data type: Sting Value: Valid values should use the chart type names listed right after the sample images in the Chart types document.
user_changeComboChartType |  | Changes combo chart type.
| instanceName | Specifies the instance name of the chart. Since instance name is hidden from users, the display name can be used as the value here. However, the value should follow certain format. Data type: String Value Format: &DisplayName
| isPrimaryAxis | Specifies whether the axis displaying the type is the primary axis or not. Data type: Boolean
| index | Specifies the index of the type. Data type: Integer Value: An integer equal to or larger than 0 and equal to or less than the value after the total number of all chart types minus 1.
| type | Specifies the chart type to change the original type to. Data type: Sting Value: You can choose among these 2-D types: bar/bench, line, area, and stock. Valid values should use the chart type names listed right after the sample images in the Chart types document.
user_atuoRefreshALLDataSet |  | Refreshes the report data automatically at certain interval.
| time | Specifies the interval at which JReport will automatically refresh the report data. Data type: Integer (positive)
user_stopAutoRefreshDataSet | - | Stops JReport from refreshing the report data automatically.

Note: If you are very familiar with usages of the web actions, you can select the first item Input an Action, and then input the action name with parameter (if necessary).

##### JReport Web dialog help file IDs

The following list is for your reference when specifying the value of the parameter helpId applied in the web action user_showHelp.

ID | Dialog/Wizard | Help File
--- | --- | ---
40011 | Chart Report Wizard | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_chtrptwzd.htm
40012 | Crosstab Report Wizard | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_crstbrptwzd.htm
40013 | Standard Banded Report Wizard | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_stdbdrptwzd.htm
40014 | Table Report Wizard | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tblrptwzd.htm
40015 | Data Field Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_dbprpty.htm
40016 | Filter dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_fltr.htm
40017 | Image Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_imgprpty.htm
40018 | Label Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_lblprpty.htm
40019 | New Report dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_newrpt.htm
40020 | New Toolbar Name dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_newtlbar.htm
40021 | Open Report dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_opnrpt.htm
40022 | Options dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_optn.htm
40023 | Page Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_pgprpty.htm
40024 | Print dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_print.htm
40025 | Report Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_rptprpty.htm
40026 | Save As dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_svas.htm
40027 | Save Result dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_svrst.htm
40028 | Search dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_search.htm
40029 | Select Values dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_slctvalue.htm
40030 | Sort dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_sort.htm
40031 | Special Field Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_spcprpty.htm
40032 | Split dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_split.htm
40033 | Top N dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_topn.htm
40034 | To Chart dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tochart.htm
40036 | Bottom N dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_btmn.htm
40037 | Format Paper dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_fmtpapr.htm
40038 | Format Platform dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_fmtpltfrm.htm
40039 | Crosstab Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_crstbprpty.htm
40040 | Group Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_grpprpty.htm
40041 | Multi Value Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_mltvluprpty.htm
40042 | Parameter Field Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_prmtrprpty.htm
40043 | Report Body Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_rptbdyprpty.htm
40044 | Banded Object Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_bdobjprpty.htm
40045 | Banded Panel Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_bdpnlprpty.htm
40046 | Table Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tableprpty.htm
40047 | Table Cell Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tablecelprpty.htm
40048 | Table Row Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tablerowprpty.htm
40049 | Tabular Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tblrprpty.htm
40050 | Tabular Cell Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tblrcelprpty.htm
40051 | Text Box Properties dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_txtbxprpty.htm
40052 | To Crosstab dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tocrstb.htm
40053 | Conditional Formatting dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_cndtnlfmt.htm
40054 | Chart Definition dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_chtdef.htm
40055 | Convert Data Fields dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_cnvrtdata.htm
40056 | Report Parameter dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_rptprmtr.htm
40057 | Format Legend dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_fmtlgnd.htm
40058 | Format Label dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_fmtlbl.htm
40059 | Encoding dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_encode.htm
40060 | PDF Encrypt Option dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_pdfencrpt.htm
40061 | PDF Sign Option dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_pdfsign.htm
40062 | Record Number dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_recno.htm
40063 | Rename Report dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_renmrpt.htm
40064 | Save Report Template dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_svtmplt.htm
40065 | Select Color dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_slctcolor.htm
40066 | New Report Set dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_newrptset.htm
40067 | Turn to Page dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_tn2pg.htm
40068 | Zoom dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_zoom.htm
40069 | Query Filter dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_qryfltr.htm
40070 | Edit Conditions dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_edtcndtn.htm
40071 | Order/Select N dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_ordrslctn.htm
40072 | Apply Style dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_appstyl.htm
40073 | Insert Image dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_insrtimg.htm
40074 | Add/Edit Measure dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_addmsr.htm
40075 | Formula Editor dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_fmlaedtr.htm
40076 | Select Resource dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_slctrsc.htm
40077 | Enter Values dialog | <install_root>\help\server\en\userguide\HTML\dialog\dlg_dhtml_entervlu.htm

##### Component property names

The following list is for your reference when specifying the value of the parameter propertyName applied in the web action user_changeCompProperty. Note that the property names here can be recognized by classes and are different from the names provided in the Report Inspector, which are just display names of component properties. However, you can figure out the corresponding display names according to the property names.

For details about the descriptions of the component properties and their values, see Properties in the Report Inspector where display names are used.

Component | Property Name
--- | ---
ArcShape | ArcAngle, Background, BorderColor, BorderStyle, BorderWidth, BottomAttachCol, BottomAttachPosX, BottomAttachPosY, BottomAttachRow, ExportToDHTML, ExternalCSSClassValue, Invisible, RecordLocation, StartAngle, Style, SuppressedIfNoRecords, TopAttachCol, TopAttachPosX, TopAttachPosY, TopAttachRow, class
Area | Alt, BoundaryColor, BoundaryStyle, BoundaryWidth, Coordinates, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillColor, Invisible, Link, Name, RecordLocation, Style, Suppressed, SuppressedIfNoRecords, Type, class, position
BandedColumnInfos | Background, BorderColor, BorderWidth, BottomLine, ColumnWidths, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, LeftLine, Pattern, RecordLocation, RightLine, ShowBorder, ShowColumns, Style, SuppressedIfNoRecords, TopLine, class, position
BandedFooter | Background, BorderColor, BorderWidth, BottomLine, CanCrossPage, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, ToBottom, TopLine, Underlay, Width, class
BandedHeader | Background, BorderColor, BorderWidth, BottomLine, CanCrossPage, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, MergeToNextPanel, OnNewPage, RecordLocation, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
BandedObject | AnchorDispValue, Background, BorderColor, BorderWidth, BottomLine, Cache, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, LeftLine, RecordLocation, RightLine, RowIndex, Style, SuppressEmpty, Suppressed, SuppressedIfNoRecords, TOCAnchor, TopLine, Width, X, Y, class, position
BandedPageFooter | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, Label, LeftLine, RecordLocation, RightLine, ShowBottomLine, Style, SuppressBlankSection, SuppressInLastPage, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
BandedPageHeader | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, Label, LeftLine, MergeToNextPanel, RecordLocation, RemoveBlankRow, RepeatInDetailPanel, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
BandedPagePanel | BottomMargin, Height, LeftMargin, Orientation, PageType, RightMargin, TopMargin, Width
Box | Background, BorderColor, BorderStyle, BorderWidth, BottomAttachCol, BottomAttachPosX, BottomAttachPosY, BottomAttachRow, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Invisible, RecordLocation, Style, SuppressedIfNoRecords, TopAttachCol, TopAttachPosX, TopAttachPosY, TopAttachRow, class
ChartLabelObject | BottomMargin, ExternalCSSClassValue, Height, IconAlignment, IconBorderPenColor, IconBorderPenEndCaps, IconBorderPenLineJoint, IconBorderPenOutlined, IconBorderPenStyle, IconBorderPenThickness, IconBorderPenTransparency, IconBorderPenVariabledDash, IconFillPatternColor, IconFillPatternGradientEndColor, IconFillPatternGradientEndX, IconFillPatternGradientEndY, IconFillPatternGradientStartColor, IconFillPatternGradientStartX, IconFillPatternGradientStartY, IconFillPatternGradientStyle, IconFillPatternImageFile, IconFillPatternImageHeight, IconFillPatternImageLayout, IconFillPatternImageWidth, IconFillPatternImageX, IconFillPatternImageY, IconFillPatternTextureBackColor, IconFillPatternTextureForeColor, IconFillPatternTextureStyle, IconFillPatternTransparency, IconFillPatternType, IconHeight, IconStyle, IconTextGap, IconWidth, LabelBackgroundBorderPenColor, LabelBackgroundBorderPenEndCaps, LabelBackgroundBorderPenLineJoint, LabelBackgroundBorderPenOutlined, LabelBackgroundBorderPenStyle, LabelBackgroundBorderPenThickness, LabelBackgroundBorderPenTransparency, LabelBackgroundBorderPenVariabledDash, LabelBackgroundBorderStyle, LabelBackgroundBottom, LabelBackgroundFillPatternColor, LabelBackgroundFillPatternGradientEndColor, LabelBackgroundFillPatternGradientEndX, LabelBackgroundFillPatternGradientEndY, LabelBackgroundFillPatternGradientStartColor, LabelBackgroundFillPatternGradientStartX, LabelBackgroundFillPatternGradientStartY, LabelBackgroundFillPatternGradientStyle, LabelBackgroundFillPatternImageFile, LabelBackgroundFillPatternImageHeight, LabelBackgroundFillPatternImageLayout, LabelBackgroundFillPatternImageWidth, LabelBackgroundFillPatternImageX, LabelBackgroundFillPatternImageY, LabelBackgroundFillPatternTextureBackColor, LabelBackgroundFillPatternTextureForeColor, LabelBackgroundFillPatternTextureStyle, LabelBackgroundFillPatternTransparency, LabelBackgroundFillPatternType, LabelBackgroundLeft, LabelBackgroundRight, LabelBackgroundTop, LabelTextFontName, LabelTextFontSize, LabelTextFontStyle, LabelTextPatternColor, LabelTextPatternGradientEndColor, LabelTextPatternGradientEndX, LabelTextPatternGradientEndY, LabelTextPatternGradientStartColor, LabelTextPatternGradientStartX, LabelTextPatternGradientStartY, LabelTextPatternGradientStyle, LabelTextPatternTextureBackColor, LabelTextPatternTextureForeColor, LabelTextPatternTextureStyle, LabelTextPatternTransparency, LabelTextPatternType, LabelTextPenColor, LabelTextPenEndCaps, LabelTextPenLineJoint, LabelTextPenOutlined, LabelTextPenStyle, LabelTextPenThickness, LabelTextPenTransparency, LabelTextPenVariabledDash, LabelTextRotation, LabelTextShearing, LabelTextSpecialEffect1, LabelTextSpecialEffect2, LabelTextStrikethrough, LabelTextUnderline, LabelTextWordWrap, LeftMargin, RightMargin, Style, Text, TextAlignment, TopMargin, Width, X, Y, class
ChartLegendObject | AutoSize, BottomMargin, ExternalCSSClassValue, Height, IconAlignment, IconBorderPenColor, IconBorderPenEndCaps, IconBorderPenLineJoint, IconBorderPenOutlined, IconBorderPenStyle, IconBorderPenThickness, IconBorderPenTransparency, IconBorderPenVariabledDash, IconHeight, IconStyleList, IconTextGap, IconWidth, LabelFilterSource, LabelHSpacing, LabelTextFontName, LabelTextFontSize, LabelTextFontStyle, LabelTextPatternColor, LabelTextPatternGradientEndColor, LabelTextPatternGradientEndX, LabelTextPatternGradientEndY, LabelTextPatternGradientStartColor, LabelTextPatternGradientStartX, LabelTextPatternGradientStartY, LabelTextPatternGradientStyle, LabelTextPatternTextureBackColor, LabelTextPatternTextureForeColor, LabelTextPatternTextureStyle, LabelTextPatternTransparency, LabelTextPatternType, LabelTextPenColor, LabelTextPenEndCaps, LabelTextPenLineJoint, LabelTextPenOutlined, LabelTextPenStyle, LabelTextPenThickness, LabelTextPenTransparency, LabelTextPenVariabledDash, LabelTextRotation, LabelTextShearing, LabelTextSpecialEffect1, LabelTextSpecialEffect2, LabelTextStrikethrough, LabelTextUnderline, LabelTextWordWrap, LabelVSpacing, LeftMargin, LegendBackgroundBorderPenColor, LegendBackgroundBorderPenEndCaps, LegendBackgroundBorderPenLineJoint, LegendBackgroundBorderPenOutlined, LegendBackgroundBorderPenStyle, LegendBackgroundBorderPenThickness, LegendBackgroundBorderPenTransparency, LegendBackgroundBorderPenVariabledDash, LegendBackgroundBorderStyle, LegendBackgroundBottom, LegendBackgroundFillPatternColor, LegendBackgroundFillPatternGradientEndColor, LegendBackgroundFillPatternGradientEndX, LegendBackgroundFillPatternGradientEndY, LegendBackgroundFillPatternGradientStartColor, LegendBackgroundFillPatternGradientStartX, LegendBackgroundFillPatternGradientStartY, LegendBackgroundFillPatternGradientStyle, LegendBackgroundFillPatternImageFile, LegendBackgroundFillPatternImageHeight, LegendBackgroundFillPatternImageLayout, LegendBackgroundFillPatternImageWidth, LegendBackgroundFillPatternImageX, LegendBackgroundFillPatternImageY, LegendBackgroundFillPatternTextureBackColor, LegendBackgroundFillPatternTextureForeColor, LegendBackgroundFillPatternTextureStyle, LegendBackgroundFillPatternTransparency, LegendBackgroundFillPatternType, LegendBackgroundLeft, LegendBackgroundRight, LegendBackgroundTop, LegendFilter, Placement, ReverseLabels, RightMargin, Style, SubPlacement, TopMargin, Width, X, Y, class
ChartObject | AnchorDispValue, AntiAliasing, Cache, CategoryEndOffset, CategoryFilter, CategoryStartOffset, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, GotoDetail, GroupValueFormat, Height, HintFilter, HyperLink, Invisible, PatternList, PlatformBackgroundBorderPenColor, PlatformBackgroundBorderPenEndCaps, PlatformBackgroundBorderPenLineJoint, PlatformBackgroundBorderPenOutlined, PlatformBackgroundBorderPenStyle, PlatformBackgroundBorderPenThickness, PlatformBackgroundBorderPenTransparency, PlatformBackgroundBorderPenVariabledDash, PlatformBackgroundBorderStyle, PlatformBackgroundBottom, PlatformBackgroundFillPatternColor, PlatformBackgroundFillPatternGradientEndColor, PlatformBackgroundFillPatternGradientEndX, PlatformBackgroundFillPatternGradientEndY, PlatformBackgroundFillPatternGradientStartColor, PlatformBackgroundFillPatternGradientStartX, PlatformBackgroundFillPatternGradientStartY, PlatformBackgroundFillPatternGradientStyle, PlatformBackgroundFillPatternImageFile, PlatformBackgroundFillPatternImageHeight, PlatformBackgroundFillPatternImageLayout, PlatformBackgroundFillPatternImageWidth, PlatformBackgroundFillPatternImageX, PlatformBackgroundFillPatternImageY, PlatformBackgroundFillPatternTextureBackColor, PlatformBackgroundFillPatternTextureForeColor, PlatformBackgroundFillPatternTextureStyle, PlatformBackgroundFillPatternTransparency, PlatformBackgroundFillPatternType, PlatformBackgroundLeft, PlatformBackgroundRight, PlatformBackgroundTop, PrimaryDataFilter, ReverseCategory, ReverseSeries, RowIndex, SecondaryDataFilter, SeriesEndOffset, SeriesFilter, SeriesStartOffset, ShowLegend, SortCategory, SortSeries, Style, Suppressed, SuppressedIfNoRecords, SwapGroup, TOCAnchor, Width, X, XHyperLink, Y, ZHyperLink, class, position
ChartPaperObject | Background, BorderColor, BorderWidth, BottomLine, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, LeftLine, RecordLocation, RightLine, RowIndex, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, X, Y, class, position
ColAttribute | DisplayName, Drill, Filter, ResourceName, Search, Sort
Column | Background, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, RecordLocation, ShowBorder, Style, Suppressed, SuppressedIfNoRecords, Width, class, position
CTAggField | Background, Bold, BorderColor, BorderWidth, BottomLine, CacheValue, ColumnName, DataMappingFile, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, FontFace, FontSize, Foreground, Format, GotoDetail, Height, HorizontalAlignment, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, SuppressedIfNull, TopLine, TransWhileToHtml, TransferStyle, Underline, ValueDelimiter, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top
CTAggSpecialField | Background, Bold, BorderColor, BorderWidth, BottomLine, CacheValue, ColumnName, DataMappingFile, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, FontFace, FontSize, Foreground, Format, GotoDetail, Height, HorizontalAlignment, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, SuppressedIfNull, TopLine, TransWhileToHtml, TransferStyle, Underline, ValueDelimiter, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top
CTCrossTab | AnchorDispValue, AvoidOrphanHeader, Background, BlockGap, BorderColor, BoundaryValue, Cache, ColumnIndex, ColumnTotalOnLeft, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Hasborder, Height, HorizontalGap, Invisible, RecordLocation, RepeatRowHeader, RowIndex, RowTotalOnTop, Style, SuppressColumnHeader, SuppressEmpty, SuppressRowHeader, Suppressed, SuppressedIfNoRecords, TOCAnchor, VerticalGap, VerticalLayout, Width, X, Y, canExpandData, class, currentColBlockIndex, currentRowBlockIndex, isOutSideAggTitle, isTableStyle, itemsPerColBlock, itemsPerRowBlock, position, repeatAgg
CTDBField | Background, Bold, BorderColor, BorderWidth, BottomLine, CacheValue, ColumnName, DataMappingFile, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, FontFace, FontSize, Foreground, Format, GotoDetail, HorizontalAlignment, Italic, LeftLine, Link, MaxWidth, Orderby, PatternColor, PatternStyle, RecordLocation, RightLine, Scope, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, SuppressedIfNull, TopLine, TransWhileToHtml, TransferStyle, Underline, ValueDelimiter, VerticalAlignment, WordWrap, class, id, isExpandData, padding-bottom, padding-left, padding-right, padding-top
CTDBTitleField | Background, BindColumn, Bold, BorderColor, BorderWidth, BottomLine, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, Filterable, FontFace, FontSize, Foreground, GotoDetail, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, Scope, Shadow, ShadowColor, Sortable, StrikeOut, Style, SuppressAggreate, Suppressed, SuppressedIfNoRecords, Text, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, WordWrap, class, id, padding-bottom, padding-left, padding-right, padding-top
CTLabelField | Background, BindColumn, Bold, BorderColor, BorderWidth, BottomLine, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, Filterable, FontFace, FontSize, Foreground, GotoDetail, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, Scope, Shadow, ShadowColor, Sortable, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, Text, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, WordWrap, class, id, padding-bottom, padding-left, padding-right, padding-top
CTTextField | Background, BindColumn, Bold, BorderColor, BorderWidth, BottomLine, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, Filterable, FontFace, FontSize, Foreground, GotoDetail, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, Scope, Shadow, ShadowColor, Sortable, StrikeOut, Style, SuppressAggreate, Suppressed, SuppressedIfNoRecords, Text, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, WordWrap, class, id, padding-bottom, padding-left, padding-right, padding-top
DBField | AnchorDispValue, AutoFit, Background, Bold, BorderColor, BorderWidth, BottomLine, CacheValue, ColumnIndex, ColumnName, DataMappingFile, DetailReport, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, FontFace, FontSize, Foreground, Format, GotoDetail, Height, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, RowIndex, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, SuppressedIfNull, TOCAnchor, TopLine, TransWhileToHtml, TransferStyle, Underline, ValueDelimiter, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top, position
DetailPanel | Background, BorderColor, BorderWidth, BottomLine, CacheSection, CanCrossPage, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RemoveBlankRow, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TileDetailSection, TileHorizontal, TopLine, Underlay, Width, class, currentBlockIndex, itemsPerBlock
Form | Disabled, ExternalCSSClassValue, FormAction, FormId, FormMethod, FormName, FormTarget, Style, class
GroupControlImg | Accesskey, Alt, Background, Checked, Class, Dir, Disabled, ExportToDHTML, ExternalCSSClassValue, Height, ID, Invisible, Name, Size, Src, Style, Suppressed, TabIndex, Title, Value, Width, X, Y, class, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, position
GroupFilter | Background, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, RecordLocation, RowIndex, Style, Suppressed, SuppressedIfNoRecords, Width, X, Y, class, position
GroupFooterPanel | Background, BorderColor, BorderWidth, BottomLine, CanCrossPage, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, MergeToNextPanel, OnNewPage, RecordLocation, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
GroupHeaderPanel | Background, BorderColor, BorderWidth, BottomLine, CanCrossPage, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, MergeToNextPanel, OnNewPage, RecordLocation, RemoveBlankRow, Repeat, RepeatInDetailPanel, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
GroupPanel | AnchorDispValue, Cascade, Grant, KeepGroupTogether, RepeatWhileGF, ShrinkFooter, TOCAnchor, currentBlockIndex, isExpandData, itemsPerBlock
HDSDataSet | DataDriver, Function, MaxPageNumber, MaxRecords, QueryEditor, RecordSecurity, RecordsPerPage, SecurityName, dsName, queryName
Image | Alt, AnchorDispValue, ColumnIndex, ColumnNumber, DetailReport, Disabled, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, GotoDetail, Height, HorizontalAlignment, ID, Invisible, Link, LinkCatalog, MaxScalingRatio, Name, PictureName, RecordLocation, Rotation, RowIndex, RowNumber, ScalingMode, Style, Suppressed, SuppressedIfNoRecords, TOCAnchor, TabIndex, Title, TransferStyle, Value, VerticalAlignment, Width, X, Y, class, onblur, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, position
JBrowser | AutoFit, ColumnIndex, Content, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, HBarHeight, Height, Invisible, RecordLocation, RowIndex, Style, Suppressed, SuppressedIfNoRecords, VBarWidth, Width, X, Y, background, class, enabled, fontBold, fontFace, fontItalic, fontSize, foreground, name, position, url, visible
JHyperLink | Alt, ColumnIndex, ColumnNumber, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExecClassName, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, HorizontalAlignment, HtmlStyle, Invisible, RecordLocation, RowIndex, RowNumber, Style, Suppressed, SuppressedIfNoRecords, URL, VerticalAlignment, Width, X, Y, autoFit, background, class, displayImage, displayValue, fontBold, fontFace, fontItalic, fontSize, foreground, original, position, target, toolTipText, wordWrap
JRotator | Background, ColumnIndex, DisplayImage, DisplayValue, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FontBold, FontFace, FontItalic, FontSize, Foreground, Height, HorizontalAlignment, Invisible, RecordLocation, Rotate, RowIndex, Style, Suppressed, SuppressedIfNoRecords, VerticalAlignment, Width, X, Y, class, position
Line | BottomAttachCol, BottomAttachPosX, BottomAttachPosY, BottomAttachRow, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Invisible, LineColor, LineStyle, LineWidth, RecordLocation, Style, SuppressedIfNoRecords, TopAttachCol, TopAttachPosX, TopAttachPosY, TopAttachRow, class
Map | AltContentType, AnchorDispValue, Background, BorderColor, BorderWidth, BottomLine, ColumnIndex, ColumnName, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, ImageSource, Invisible, LeftLine, Name, RecordLocation, RightLine, RowIndex, ShowFlag, Style, Suppressed, SuppressedIfNoRecords, TOCAnchor, TopLine, Width, X, Y, class, position
MapDBField | AutoFit, Background, Bold, BorderColor, BorderWidth, BottomLine, CacheValue, ColumnIndex, ColumnName, DataMappingFile, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, FontFace, FontSize, Foreground, Format, GotoDetail, Height, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, RowIndex, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, SuppressedIfNull, TopLine, TransWhileToHtml, TransferStyle, Underline, ValueDelimiter, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top, position
MapTextField | AutoFit, Background, BindColumn, Bold, BorderColor, BorderWidth, BottomLine, ColumnIndex, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, Filterable, FontFace, FontSize, Foreground, GotoDetail, Height, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, RowIndex, Shadow, ShadowColor, Sortable, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, Text, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top, position
MultiValueContainer | Background, Bold, BorderColor, BorderWidth, BottomLine, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FontFace, FontSize, Foreground, Height, Invisible, Italic, LeftLine, RecordLocation, RightLine, RowIndex, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, X, Y, class, id, position
OLEObject | Accesskey, Alt, Archive, Background, BorderColor, BorderWidth, BottomLine, ClassID, CodeBase, ColumnIndex, Declare, ExportToDHTML, ExternalCSSClassValue, HSpace, Height, Invisible, LeftLine, Name, RecordLocation, RightLine, RowIndex, StandBy, Style, Suppressed, SuppressedIfNoRecords, TabIndex, Title, TopLine, Type, Usemap, VSpace, Width, X, Y, class, position
OnDemandDataSet | DataDriver, Function, MaxPageNumber, MaxRecords, QueryEditor, RecordSecurity, RecordsPerPage, SecurityName, dsName, onDemandQueryName
OvalShape | Background, BorderColor, BorderStyle, BorderWidth, BottomAttachCol, BottomAttachPosX, BottomAttachPosY, BottomAttachRow, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Invisible, RecordLocation, Style, SuppressedIfNoRecords, TopAttachCol, TopAttachPosX, TopAttachPosY, TopAttachRow, class
PageFooterPanel | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, Label, LeftLine, RecordLocation, RightLine, ShowBottomLine, Style, SuppressBlankSection, SuppressInLastPage, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
PageHeaderPanel | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, Label, LeftLine, RecordLocation, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TopLine, Underlay, Width, class
ParallelDetailPanel | Background, BorderColor, BorderWidth, BottomLine, BranchName, CacheSection, CanCrossPage, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RemoveBlankRow, RightLine, ShowBottomLine, Style, SuppressBlankSection, Suppressed, SuppressedIfNoRecords, TileDetailSection, TileHorizontal, TopLine, Underlay, Width, class, currentBlockIndex, itemsPerBlock
ParallelGroupPanel | AnchorDispValue, BranchName, Cascade, Grant, KeepGroupTogether, RepeatWhileGF, ShrinkFooter, TOCAnchor, currentBlockIndex, isExpandData, itemsPerBlock
ParameterField | AnchorDispValue, AutoFit, Background, Bold, BorderColor, BorderWidth, BottomLine, ColumnIndex, DataMappingFile, DetailReport, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FontFace, FontSize, Foreground, Format, GotoDetail, Height, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, Parameter, PatternColor, PatternStyle, RecordLocation, RightLine, RowIndex, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, SuppressedIfNull, TOCAnchor, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top, position
QueryDataSet | DataDriver, Function, MaxPageNumber, MaxRecords, QueryEditor, RecordSecurity, RecordsPerPage, SecurityName, dsName, queryName
Report | AfterInitParameter, AfterRun, AppletHeight, AppletWidth, BeforeRun, ColumnWidthList, Columned, EmbeddedFonts, ExcelBufferSize, FastPass, ImportJavaScript, NoTempFile, PageBackground, PrecisionSensitive, ResultBufferSize, RowsPerSheet, ShowSubHeaderFooter, ShrinkFooter, StyleGroup, StyleGroupOfDHTML, StyleGroupOfExcel, StyleGroupOfFax, StyleGroupOfHTML, StyleGroupOfPDF, StyleGroupOfPS, StyleGroupOfRST, StyleGroupOfRTF, StyleGroupOfText, StyleGroupOfXML, currentBlockIndex, isExpandData, itemsPerBlock, nationalLanguageSupport
ReportBody | Background, BorderColor, BorderWidth, BottomLine, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, LeftLine, RecordLocation, RightLine, RowIndex, Style, SuppressEmpty, TOCAnchor, TopLine, class
ReportSet | ImportParamValues, ParaListAuto
RoundBoxShape | Background, BorderColor, BorderStyle, BorderWidth, BottomAttachCol, BottomAttachPosX, BottomAttachPosY, BottomAttachRow, CornerFactor, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Invisible, RecordLocation, Style, SuppressedIfNoRecords, TopAttachCol, TopAttachPosX, TopAttachPosY, TopAttachRow, class
SpecialField | AnchorDispValue, AutoFit, Background, Bold, BorderColor, BorderWidth, BottomLine, ColumnIndex, DetailReport, DisplayNull, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FieldType, FontFace, FontSize, Foreground, Format, GotoDetail, Height, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, RowIndex, Shadow, ShadowColor, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, TOCAnchor, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top, position
Subreport | AnchorDispValue, Background, BorderColor, BorderWidth, BottomLine, Cache, ColumnIndex, Embedded, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, LeftLine, MaxPageNum, OnNewSheet, RecPerPage, RecordLocation, RightLine, RowIndex, SRQueryName, SRSecurity, SRSourceName, SheetName, Style, SuppressEmpty, Suppressed, SuppressedIfNoRecords, TOCAnchor, TopLine, Width, X, Y, class, position
TableCell | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, LeftLine, RecordLocation, RightLine, Scope, Style, SuppressedIfNoRecords, TopLine, Width, class
TableComp | AnchorDispValue, Background, BorderColor, BorderWidth, BottomLine, Cache, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FreezeField, Height, Horizontal, Invisible, LeftLine, RecordLocation, RightLine, SelectStartPosition, SelectType, Style, SuppressEmpty, Suppressed, SuppressedIfNoRecords, TOCAnchor, TopLine, Width, X, Y, class, position
TableDetail | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RightLine, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, class, currentBlockIndex, itemsPerBlock
TableFooter | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RightLine, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, class
TableGroup | AnchorDispValue, Cascade, Grant, KeepGroupTogether, TOCAnchor, currentBlockIndex, itemsPerBlock
TableGroupFooter | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RightLine, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, class
TableGroupHeader | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FillWholePage, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RightLine, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, class, repeat
TableHeader | Background, BorderColor, BorderWidth, BottomLine, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, Label, LeftLine, OnNewPage, RecordLocation, RightLine, Style, Suppressed, SuppressedIfNoRecords, TopLine, Width, class
Tabular | AnchorDispValue, Background, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, HorizontalAutoSize, Invisible, RowIndex, Style, Suppressed, TOCAnchor, VerticalAutoSize, Width, X, Y, class, position
TabularCell | Background, BorderColor, BorderWidth, BottomLine, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, HorizontalAlignment, LeftLine, RightLine, RowIndex, Style, TopLine, Width, X, Y, class, repeatContent
TabularColumnGroup | CanCrossPage, FillWholePage, OnNewPage
TabularRowGroup | CanCrossPage, FillWholePage, OnNewPage
TextBox | AnchorDispValue, Background, BorderColor, BorderWidth, BottomLine, ColumnIndex, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, Height, Invisible, LeftLine, RecordLocation, RightLine, RowIndex, Style, Suppressed, SuppressedIfNoRecords, TOCAnchor, TopLine, VerticalAlignment, VerticalAutoSize, Width, X, Y, class, position
TextField | AnchorDispValue, AutoFit, Background, BindColumn, Bold, BorderColor, BorderWidth, BottomLine, ColumnIndex, DetailReport, EnableHyperlinkOnExcel, EnableHyperlinkOnHTML, EnableHyperlinkOnPDF, ExportToCSV, ExportToDHTML, ExportToXLS, ExternalCSSClassValue, FilterOptions, Filterable, FontFace, FontSize, Foreground, GotoDetail, Height, HorizontalAlignment, Invisible, Italic, LeftLine, Link, MaxWidth, PatternColor, PatternStyle, RecordLocation, RightLine, RowIndex, Shadow, ShadowColor, Sortable, StrikeOut, Style, Suppressed, SuppressedIfNoRecords, TOCAnchor, Text, TopLine, TransWhileToHtml, TransferStyle, Underline, VerticalAlignment, Width, WordWrap, X, Y, class, id, padding-bottom, padding-left, padding-right, padding-top, position
TOC | Background, Bold, ExternalCSSClassValue, FontFace, FontSize, Foreground, Italic, RootLabel, StrikeOut, Style, Underline, class

##### Exporting option keys

The following list is for your reference when specifying the value of the parameter optionValues applied in the web actions user_oneStepExport and user_downloadReport. Note that the option keys here can be recognized by classes and are different from the option names provided in JReport Web UI which are just display names of exporting options.

Export Type | Export Option Key | Available Value | Description
--- | --- | --- | ---
HTML | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| browser | 0 (Internet Explorer), 1 (Netscape), 2 (Firefox). | Specifies the web browser type.
| imagetype | 0 (decided by JReport), 1 (GIF), 2 (JPG), 3 (PNG). | Specifies the type of the images in the result file.
| overflow | 0 (VISIBLE), 1 (HIDDEN), 2 (VERFLOWCOUNT). | Specifies the overflow type.
| resolution | Any integer between 1 and 4294967296. | Specifies the HTML resolution.
| title | Any string | Specifies the title for the HTML file.
| applet | true, false | Specifies whether or not to export chart(s) in Java applet format.
| css | true, false | Specifies whether or not to embed the cascading style sheet in the exported HTML files.
| multi | true, false | Specifies whether or not to generate an HTML file for each page of the report result.
| hyperlink | true, false | Specifies whether or not to contain hyperlinks in the HTML file.
| pagenumber | true, false | Specifies whether or not to contain page numbers in the HTML file.
| drilldown | true, false | Specifies whether or not to include the drilled-down file in the exported HTML file.
| no_margin | true, false | Specifies whether or not to remove the original margins.
| absolute | true, false | Specifies whether or not to make the font size fixed in the web browser.
PDF | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| no_margin | true, false | Specifies whether or not to remove the margin.
| simulate | true, false | Specifies whether or not the mode is to be Simulated Printing Mode.
| standard | true, false | Specifies whether or not to set the mode as Standard Mode.
| content | true, false | Specifies whether or not to contain the TOC in the exported PDF file.
| drilldown | true, false | Specifies whether or not to include the drilled-down file in the exported PDF file.
| encrypt | true, false | Specifies whether or not to encrypt the report result.
| compress | true, false | Specifies whether or not to compress the images in the report.
| ratio | Any integer between 1 to 100. | Specifies the percentage with which to compress the images in the report.
| compatibitly | 0: Acrobat 3.0 and later. 1: Acrobat 5.0 and later. | Specifies the encryption compatibility.
| doc_psw | Any string | Specifies the password for opening the PDF file when encrypt=true.
| permi_psw | Any string | Specifies the password for printing and editing the PDF file when encrypt=true.
| printing | 0: Prevents users from printing the file. 4: Allows low resolution-printing. 2052: Allows high-resolution printing. | Specifies the PDF printing mode.
| changes | 0: Prevents users from making any changes to the file). 1024: Allows inserting, deleting, and rotating pages. 256: Allows users to fill in form fields and adding digital signatures. 32: Aallows users to fill in form fields and add digital signatures and comments. 40: Allows users to do anything except extracting pages. 2108: Allows all. | Defines which editing actions are allowed in the PDF file.
| enable_copy | true, false | Specifies whether or not to allow users to copy the file contents.
| enable_access | true, false | Specifies whether or not to let visually impaired users read the document with window readers.
Text | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| repeat | true, false | Specifies whether or not to replace a field value of a record with that of its previous record if the field value is null.
| compress | true, false | Specifies whether or not to compress the clearance between columns.
| win_linebreak | true, false | Specifies whether or not to use Windows end-of-line characters.
| normal | true, false | Specifies whether or not to use the standard data format.
| quote_mark | true, false | Specifies whether or not to mark the fields in the exported file with quotation marks.
| head_foot | true, false | Specifies whether or not to contain all headers and footers in the report.
| delimiter | Any single character | Specifies the delimiter.
| width | An integer | Specifies the user-defined character width.
| height | An integer | Specifies the user-defined character height.
Excel | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| wrap | 0 (All Keep Existing), 1 (All Disabled), 2 (All Enabled). | Specifies the word-wrap setting.
| new_layout | true, false | Specifies whether or not to use the new layout mode.
| shapes | true, false | Specifies whether or not to include the shapes (drawing objects) in the exported file.
| excel_2000 | true, false | Specifies whether or not to export the result in Excel 2000 format.
| advanced | true, false | Specifies whether or not to apply the advanced options.
| header | Any string | Specifies the page header text.
| footer | Any string | Specifies the page footer text.
| gridline | true, false | Specifies whether or not to print gridlines when printing the exported Excel file.
XML | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| only_data | true, false | Specifies whether or not to only contain the database column information in the exported XML file.
| schema | An existing schema file with its full path. | Specifies the name of an existing schema file with its full path with which to generate the XML file.
RTF | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| rtf_flow | true, false | Specifies whether or not to apply a flow layout when exporting the report to RTF.
| no_margin | true, false | Specifies whether or not to remove the margins in the RTF file.
PostScript | to_ver | true, false | Specifies whether or not to save the result to version.
| to_open | true, false | Specifies whether or not to export and open the result file.
| to_local | true, false | Specifies whether or not to save the result to a local file.
| no_margin | true, false | Specifies whether or not to remove the margins in the PS file.